RRSERVE(6)

NAME
rrserve - server application for multi-player ricochet robots game

SYNOPSIS
rrserve --host <hostname> --port <port> --name <username> --game <gamename> --watch

DESCRIPTION

Rrserve is a server for the Ricochet Robots protocol. It provides for multiple users to connect to multiple active games.

USAGE

Options are as follows:

--help,--usage
    Print a help/usage message and exit.

-l,--logfile filename
    Select a file to log all server messages to. By default, messages are sent to stderr.

-p,--port port
    Select the TCP port to listen on. By default, rrserve listens on port 5252.

AUTHOR
rserve is the work of Keith Packard <keithp@keithp.com>

Rrserve is
Copyright 2003,2012 Keith Packard. All Rights Reserved.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA. Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.